<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <div id="myApp">
        <h1>Batman quotes {{ totalQuotes }}</h1>
        <input type="text" placeholder="Add quote" @keypress.enter="addQuote" v-model="newMessage">

        <br>
        <br>
        <!-- <button @click="toggleAuthor">Toggle Author</button> -->
        <button @click="showAuthor = !showAuthor">Toggle Author</button>
        <!-- <button @click="addQuote">Add quote</button> -->
        <hr>

        <ul>
            <li v-for="({ quote, author }, index ) in quotes">
                <span>{{ index + 1 }} - {{ quote }}</span>

                <blockquote v-show="showAuthor">{{ author }}</blockquote>
            </li>

        </ul>



    </div>


    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <script src="app.js"></script>

</body>

</html>